/***** ARCHIVO principal_poligono.cpp *****/
#include <iostream>

#include "poligono.h"
#include "triangulo.h"
#include "rectangulo.h"

using namespace std;

int main(void)
{
  int opcion;

  /// Objeto de la clase base
  Poligono q;

  // Se usa el objeto y la funcion de la clase base para calcular el area de la figura correspondiente
  cout << "\n Area = " << q.get_Area() << endl << endl;

  cout << "\n ********************************************************* " << endl;

  // Puntero a la clase base
  Poligono *p; 



  cout << "\n Elige una figura \n"
     << "1.- triangulo \n"
     << "2.- rectangulo \n"
     << " ---> ";

  cin >> opcion;

  if(opcion==1)
  {     
    Triangulo t;
  
    // El puntero apunta a un objeto de tipo Triangulo
    p=&t;
  }
  else
  {
    Rectangulo r;

    // El puntero apunta a un objeto de tipo Rectangulo
    p=&r;
  }

  // Se usa el puntero y la funcion de la clase base para proporcionar valores a los atributos del poligono
  p->set_Dimensiones(3.0,4.0); 

  // Se usa el puntero y la funcion de la clase derivada para calcular el area de la figura correspondiente
  cout << "\n Area = " << p->get_Area() << endl << endl;

  return 0;
}

